@extends('layouts.app')

@section('style')
    .sidenav {
    height: 100%;
    background-color: #000;
    overflow-x: hidden;
    padding-top: 20px;
    }

    @media screen and (max-height: 450px) {
    .sidenav {padding-top: 15px;}
    }

    @media screen and (max-width: 450px) {
    .login-form{
    margin-top: 10%;
    }

    .register-form{
    margin-top: 10%;
    }
    }

    @media screen and (min-width: 768px){
    .main{
    margin-left: 40%;
    }

    .sidenav{
    width: 50%;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    }

    .login-form{
    margin-top: 20%;
    margin-left: 20%;
    }

    .register-form{
    margin-top: 20%;
    }
    }


    .login-main-text{
    margin-top: 20%;
    padding: 60px;
    color: #fff;
    }

    .login-main-text h2{
    font-weight: 300;
    }

    .main {
    padding: 0px 10px;
    }

    div .container{
    margin-right: 10%
    }
@endsection

@section('content')
    <div class="sidenav">
        <div class="login-main-text">
            <h2><img src="https://assets.ey.com/content/dam/ey-sites/ey-com-demo/en_gl/generic/logos/EY-white-logo.png" height="200px" alt=""></h2>
            <p>Login or register from here to access the securitEY platform.</p>
        </div>
    </div>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8 main">

                <div class="card-body">
                    <form class="login-form" method="POST" action="{{ route('register') }}">
                        @csrf
                        <div class="form-group row">
                            <label for="email"
                                   class="col-md-4 col-form-label text-md-right"></label>
                            <div class="col-md-6">
                                <h1>SecuritEY.</h1>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Name') }}</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control @error('name') is-invalid @enderror"
                                       name="name" value="{{ old('name') }}" required autocomplete="name" autofocus>

                                @error('name')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="email"
                                   class="col-md-4 col-form-label text-md-right">{{ __('E-Mail Address') }}</label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror"
                                       name="email" value="{{ old('email') }}" required autocomplete="email">

                                @error('email')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password"
                                   class="col-md-4 col-form-label text-md-right">{{ __('Password') }}</label>

                            <div class="col-md-6">
                                <input id="password" type="password"
                                       class="form-control @error('password') is-invalid @enderror" name="password"
                                       required autocomplete="new-password">

                                @error('password')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password-confirm"
                                   class="col-md-4 col-form-label text-md-right">{{ __('Confirm Password') }}</label>

                            <div class="col-md-6">
                                <input id="password-confirm" type="password" class="form-control"
                                       name="password_confirmation" required autocomplete="new-password">
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    {{ __('Register') }}
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
@endsection
