<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">

    <title>SecuritEY</title>
    <meta content="" name="description">
    <meta content="" name="keywords">

    <!-- Favicons -->
    <link href="https://assets.ey.com/etc/designs/zg/eydff/desktop/assets/img/favicon.ico" rel="icon">
    <link href="https://assets.ey.com/etc/designs/zg/eydff/desktop/assets/img/favicon.ico" rel="apple-touch-icon">

    <!-- Google Fonts -->
    <link
        href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Roboto:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
        rel="stylesheet">

    <!-- Vendor CSS Files -->
    <link href="vendor/aos/aos.css" rel="stylesheet">
    <link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
    <link href="vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
    <link href="vendor/glightbox/css/glightbox.min.css" rel="stylesheet">
    <link href="vendor/swiper/swiper-bundle.min.css" rel="stylesheet">

    <!-- Template Main CSS File -->
    <link href="css/style.css" rel="stylesheet">

    <!-- =======================================================
    * Template Name: BizLand - v3.0.1
    * Template URL: https://bootstrapmade.com/bizland-bootstrap-business-template/
    * Author: BootstrapMade.com
    * License: https://bootstrapmade.com/license/
    ======================================================== -->
</head>

<body>

<!-- ======= Header ======= -->
<header id="header" class="d-flex align-items-center">
    <div class="container d-flex align-items-center justify-content-between">

        <h1 class="logo"><a href="index.html">Securit<span style="color: #ffe600">EY</span>.</a></h1>
        <!-- Uncomment below if you prefer to use an image logo -->
        <!-- <a href="index.html" class="logo"><img src="assets/img/logo.png" alt=""></a>-->

        <nav id="navbar" class="navbar">
            <ul>
                <li><a class="nav-link scrollto active" href="#hero">Home</a></li>
                <li><a class="nav-link scrollto" href="#about">About</a></li>
                <li><a class="nav-link scrollto " href="#modules">Modules</a></li>
                <li><a class="nav-link scrollto" href="#team">Team</a></li>
                <li><a class="nav-link scrollto" href="#footer">Contact</a></li>
                <li class="nav-link">
                    <a class="" href="{{ route('logout') }}"
                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                        {{ __('Logout') }}
                    </a>

                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                        @csrf
                    </form>
                </li>
            </ul>
            <i class="bi bi-list mobile-nav-toggle"></i>
        </nav><!-- .navbar -->

    </div>
</header><!-- End Header -->

<!-- ======= Hero Section ======= -->
<section id="hero" class="d-flex align-items-center">
    <div class="container" data-aos="zoom-out" data-aos-delay="100">
        <h1>Securit<span>EY</span>.</h1>
        <h2>Welcome {{ Auth::user()->name }}!</h2>
        <h2>Are you ready for a next gen cybersecurity training platform <br>consisting of trending cyber attacks?</h2>
        <div class="d-flex">
            <a href="#about" class="btn-get-started scrollto">Get Started</a>
        </div>

        <img src="https://assets.ey.com/content/dam/ey-sites/ey-com-demo/en_gl/generic/logos/EY-white-logo.png" alt="">
    </div>

</section><!-- End Hero -->

<main id="main">

    <!-- ======= Featured Services Section ======= -->
    <section id="about" class="featured-services">
        <div class="container" data-aos="fade-up">

            <div class="section-title">
                <h2>About</h2>
                <h3>About the <span>platform</span></h3>
                <p>SecuritEY is here to give you a better understanding of upcomming cyber threats. You'll learn how they work and how to perfom them.</p>
            </div>


            <div class="row">
                <div class="col-md-6 col-lg-3 d-flex align-items-stretch mb-5 mb-lg-0">
                    <div class="icon-box" data-aos="fade-up" data-aos-delay="100">
                        <div class="icon"><i class="bx bx-trending-up"></i></div>
                        <h4 class="title"><a href="">Trending attacks</a></h4>
                        <p class="description">No EternalBlue here, focus on what's trending and what really matters</p>
                    </div>
                </div>

                <div class="col-md-6 col-lg-3 d-flex align-items-stretch mb-5 mb-lg-0">
                    <div class="icon-box" data-aos="fade-up" data-aos-delay="200">
                        <div class="icon"><i class="bx bx-file"></i></div>
                        <h4 class="title"><a href="">Fully explained</a></h4>
                        <p class="description">Get a full understanding of how an attack works and then execute it</p>
                    </div>
                </div>

                <div class="col-md-6 col-lg-3 d-flex align-items-stretch mb-5 mb-lg-0">
                    <div class="icon-box" data-aos="fade-up" data-aos-delay="300">
                        <div class="icon"><i class="bx bx-code-block"></i></div>
                        <h4 class="title"><a href="">Hands on</a></h4>
                        <p class="description">Don't just sit back and read about attacks, learn how to actually do
                            them</p>
                    </div>
                </div>

                <div class="col-md-6 col-lg-3 d-flex align-items-stretch mb-5 mb-lg-0">
                    <div class="icon-box" data-aos="fade-up" data-aos-delay="400">
                        <div class="icon"><i class="bx bx-cloud"></i></div>
                        <h4 class="title"><a href="">Cloud native</a></h4>
                        <p class="description">Cloud native infrastructure will let everything run smoothly and
                            efficiently</p>
                    </div>
                </div>

            </div>

        </div>
    </section><!-- End Featured Services Section -->

    <!-- ======= Clients Section ======= -->
    <section id="clients" class="clients section-bg">
        <div class="container" data-aos="zoom-in">

            <div class="row">

                <div class="col-lg-2 col-md-4 col-6 d-flex align-items-center justify-content-center">
                    <img src="img/clients/client-1.png" class="img-fluid" alt="">
                </div>

                <div class="col-lg-2 col-md-4 col-6 d-flex align-items-center justify-content-center">
                    <img src="img/clients/client-2.png" class="img-fluid" alt="">
                </div>

                <div class="col-lg-2 col-md-4 col-6 d-flex align-items-center justify-content-center">
                    <img src="img/clients/client-3.png" class="img-fluid" alt="">
                </div>

                <div class="col-lg-2 col-md-4 col-6 d-flex align-items-center justify-content-center">
                    <img src="img/clients/client-4.png" class="img-fluid" alt="">
                </div>

                <div class="col-lg-2 col-md-4 col-6 d-flex align-items-center justify-content-center">
                    <img src="img/clients/client-5.png" class="img-fluid" alt="">
                </div>

                <div class="col-lg-2 col-md-4 col-6 d-flex align-items-center justify-content-center">
                    <img src="img/clients/client-6.png" class="img-fluid" alt="">
                </div>

            </div>

        </div>
    </section><!-- End Clients Section -->

    <!-- ======= Services Section ======= -->
    <section id="services" class="services">
        <div class="container" data-aos="fade-up">

            <div class="section-title">
                <h2>Infrastructure</h2>
                <h3>Check our <span>Technologies</span></h3>
                <p>Using the newest technologies we can easily provide a fresh environment for every module.</p>
            </div>

            <div class="row">
                <div class="col-lg-4 col-md-6 d-flex align-items-stretch" data-aos="zoom-in" data-aos-delay="100">
                    <div class="icon-box">
                        <img class="pb-2"
                             src="https://blogs.vmware.com/cloudprovider/files/2019/04/og-image-8b3e4f7d-blog-aspect-ratio.png"
                             height="50px" width="67px" alt="">
                        <h4><a href="">Terraform</a></h4>
                        <p>Building and destroying all of the needed infrastructure fast and efficient</p>
                    </div>
                </div>

                <div class="col-lg-4 col-md-6 d-flex align-items-stretch mt-4 mt-md-0" data-aos="zoom-in"
                     data-aos-delay="200">
                    <div class="icon-box">
                        <img class="pb-2" src="https://www.mbejda.com/content/images/2016/01/ans.png" height="50px"
                             width="auto" alt="">
                        <h4><a href="">Ansible</a></h4>
                        <p>Easily configuring all of the Virtual Machines of every module over SSH</p>
                    </div>
                </div>

                <div class="col-lg-4 col-md-6 d-flex align-items-stretch mt-4 mt-lg-0" data-aos="zoom-in"
                     data-aos-delay="300">
                    <div class="icon-box">
                        <img class="pb-2"
                             src="https://i1.wp.com/build5nines.com/wp-content/uploads/2017/09/Azure.png?resize=519%2C387&ssl=1"
                             height="50px" alt="">
                        <h4><a href="">Azure</a></h4>
                        <p>For hosting the resilient infrastructure over and over again, providing a clean environment
                            every single time</p>
                    </div>
                </div>

            </div>

        </div>
    </section><!-- End Services Section -->

    <!-- ======= Testimonials Section ======= -->
    <section id="testimonials" class="testimonials">
        <div class="container" data-aos="zoom-in">

            <div class="testimonials-slider swiper-container" data-aos="fade-up" data-aos-delay="100">
                <div class="swiper-wrapper">

                    <div class="swiper-slide">
                        <div class="testimonial-item">
                            <img src="img/testimonials/testimonials-1.jpg" class="testimonial-img" alt="">
                            <h3>Saul Goodman</h3>
                            <h4>Ceo &amp; Founder</h4>
                            <p>
                                <i class="bx bxs-quote-alt-left quote-icon-left"></i>
                                Proin iaculis purus consequat sem cure digni ssim donec porttitora entum suscipit
                                rhoncus. Accusantium quam, ultricies eget id, aliquam eget nibh et. Maecen aliquam,
                                risus at semper.
                                <i class="bx bxs-quote-alt-right quote-icon-right"></i>
                            </p>
                        </div>
                    </div><!-- End testimonial item -->

                    <div class="swiper-slide">
                        <div class="testimonial-item">
                            <img src="img/testimonials/testimonials-2.jpg" class="testimonial-img" alt="">
                            <h3>Sara Wilsson</h3>
                            <h4>Designer</h4>
                            <p>
                                <i class="bx bxs-quote-alt-left quote-icon-left"></i>
                                Export tempor illum tamen malis malis eram quae irure esse labore quem cillum quid
                                cillum eram malis quorum velit fore eram velit sunt aliqua noster fugiat irure amet
                                legam anim culpa.
                                <i class="bx bxs-quote-alt-right quote-icon-right"></i>
                            </p>
                        </div>
                    </div><!-- End testimonial item -->

                    <div class="swiper-slide">
                        <div class="testimonial-item">
                            <img src="img/testimonials/testimonials-3.jpg" class="testimonial-img" alt="">
                            <h3>Jena Karlis</h3>
                            <h4>Store Owner</h4>
                            <p>
                                <i class="bx bxs-quote-alt-left quote-icon-left"></i>
                                Enim nisi quem export duis labore cillum quae magna enim sint quorum nulla quem veniam
                                duis minim tempor labore quem eram duis noster aute amet eram fore quis sint minim.
                                <i class="bx bxs-quote-alt-right quote-icon-right"></i>
                            </p>
                        </div>
                    </div><!-- End testimonial item -->

                </div>
                <div class="swiper-pagination"></div>
            </div>

        </div>
    </section><!-- End Testimonials Section -->

    <!-- ======= Portfolio Section ======= -->
    <section id="modules" class="portfolio">
        <div class="container" data-aos="fade-up">

            <div class="section-title">
                <h2>Modules</h2>
                <h3>Check our <span>Modules</span></h3>
                <p>Here you can learn the latest and most advanced cyber attacks. You will get a guided experience to hack a cloud hosted environment for trending threats.</p>
            </div>

            <div class="row" data-aos="fade-up" data-aos-delay="100">
                <div class="col-lg-12 d-flex justify-content-center">
                    <ul id="portfolio-flters">
                        <li data-filter="*" class="filter-active">All</li>
                        <li data-filter=".filter-infra">INFRA</li>
                        <li data-filter=".filter-app">APP</li>
                        <li data-filter=".filter-other">OTHER</li>
                    </ul>
                </div>
            </div>

            <div class="row portfolio-container" data-aos="fade-up" data-aos-delay="200">

                <div class="col-lg-4 col-md-6 portfolio-item filter-app">
                    <img src="img/SCA.png" class="img-fluid" alt="">
                    <div class="portfolio-info">
                        <h4>Supply Chain Attack</h4>
                        <p>App</p>
                        <a href="sca" class="preview-link"><i class="bx bx-plus"></i></a>
                    </div>
                </div>

                <div class="col-lg-4 col-md-6 portfolio-item filter-infra">
                    <img src="img/BO.png" class="img-fluid" alt="">
                    <div class="portfolio-info">
                        <h4>ProxyLogon</h4>
                        <p>Infrastructure</p>
                        <a href="pxl" class="preview-link"><i class="bx bx-plus"></i></a>
                    </div>
                </div>

                <div class="col-lg-4 col-md-6 portfolio-item filter-other">
                    <img src="img/portfolio/portfolio-3.png" class="img-fluid" alt="">
                    <div class="portfolio-info">
                        <h4>New module</h4>
                        <p>Other</p>
                        <a href="img/portfolio/portfolio-3.png" data-gallery="portfolioGallery"
                           class="portfolio-lightbox preview-link" title="Module placeholder"><i class="bx bx-plus"></i></a>
                    </div>
                </div>

            </div>

        </div>
    </section><!-- End Portfolio Section -->

    <!-- ======= Team Section ======= -->
    <section id="team" class="team section-bg">
        <div class="container" data-aos="fade-up">

            <div class="section-title">
                <h2>Team</h2>
                <h3>Our <span>Instructors</span></h3>
                <p>A very enthusiastic student from Thomas More Geel <br> with a passion towards red teaming.</p>
            </div>

            <div class="row text-center d-flex align-items-center">

                <div class="col-lg-3 col-md-6 d-flex align-items-center text-center mx-auto" data-aos="fade-up"
                     data-aos-delay="400">
                    <div class="member mx-auto">
                        <div class="member-img">
                            <img
                                src="/img/me.jpg"
                                class="img-fluid" alt="">
                            <div class="social">
                                <a href="https://mickeydebaets.be"><i class="bi bi-globe"></i></a>
                                <a href="https://twitter.com/Mickey_De_Baets"><i class="bi bi-twitter"></i></a>
                                <a href="https://www.linkedin.com/in/mickey-de-baets-4aa6b5186"><i class="bi bi-linkedin"></i></a>
                            </div>
                        </div>
                        <div class="member-info">
                            <h4>Mickey De Baets</h4>
                            <span>Intern @ EY | CEH Practical</span>
                        </div>
                    </div>
                </div>

            </div>

        </div>
    </section><!-- End Team Section -->

</main><!-- End #main -->

<!-- ======= Footer ======= -->
<footer id="footer">

    <div class="footer-top">
        <div class="container">
            <div class="row">

                <div class="col-lg-3 col-md-6 footer-contact">
                    <h3>Securit<span>EY</span>.</h3>
                    <p>
                        De Kleetlaan 2 <br>
                        Machelen, 1831<br>
                        Belgium <br><br>
                        <strong>Phone:</strong> 02 774 91 11<br>
                        <strong>Email:</strong> mickey.de.baets@be.ey.com<br>
                    </p>
                </div>

                <div class="col-lg-3 col-md-6 footer-links">
                    <h4>Useful Links</h4>
                    <ul>
                        <li><i class="bx bx-chevron-right"></i> <a href="#">Home</a></li>
                        <li><i class="bx bx-chevron-right"></i> <a href="#about">About us</a></li>
                        <li><i class="bx bx-chevron-right"></i> <a href="#teams">Team</a></li>
                        <li><i class="bx bx-chevron-right"></i> <a href="#contact">Contact</a></li>
                    </ul>
                </div>

                <div class="col-lg-3 col-md-6 footer-links">
                    <h4>Our Modules</h4>
                    <ul>
                        <li><i class="bx bx-chevron-right"></i> <a href="#">Supply Chain Attack</a></li>
                        <li><i class="bx bx-chevron-right"></i> <a href="#">ProxyLogon</a></li>
                        <li><i class="bx bx-chevron-right"></i> <a href="#">New module</a></li>
                    </ul>
                </div>

                <div class="col-lg-3 col-md-6 footer-links">
                    <h4>Our Social Networks</h4>
                    <p>Cras fermentum odio eu feugiat lide par naso tierra videa magna derita valies</p>
                    <div class="social-links mt-3">
                        <a href="https://twitter.com/ey_belgium" class="twitter"><i class="bx bxl-twitter"></i></a>
                        <a href="https://www.facebook.com/eybelgium" class="facebook"><i class="bx bxl-facebook"></i></a>
                        <a href="https://www.instagram.com/ey_belgium" class="instagram"><i class="bx bxl-instagram"></i></a>
                        <a href="https://www.linkedin.com/company/ernstandyoung" class="linkedin"><i class="bx bxl-linkedin"></i></a>
                    </div>
                </div>

            </div>
        </div>
    </div>
</footer><!-- End Footer -->

<div id="preloader"></div>
<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
        class="bi bi-arrow-up-short scrollto"></i></a>

<!-- Vendor JS Files -->
<script src="vendor/aos/aos.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="vendor/glightbox/js/glightbox.min.js"></script>
<script src="vendor/isotope-layout/isotope.pkgd.min.js"></script>
<script src="vendor/php-email-form/validate.js"></script>
<script src="vendor/purecounter/purecounter.js"></script>
<script src="vendor/swiper/swiper-bundle.min.js"></script>
<script src="vendor/waypoints/noframework.waypoints.js"></script>

<!-- Template Main JS File -->
<script src="js/main.js"></script>

</body>

</html>
