<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">

    <title>SecuritEY</title>
    <meta content="" name="description">
    <meta content="" name="keywords">

    <!-- Favicons -->
    <link href="https://assets.ey.com/etc/designs/zg/eydff/desktop/assets/img/favicon.ico" rel="icon">
    <link href="https://assets.ey.com/etc/designs/zg/eydff/desktop/assets/img/favicon.icog" rel="apple-touch-icon">

    <!-- Google Fonts -->
    <link
        href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
        rel="stylesheet">

    <!-- Vendor CSS Files -->
    <link href="/vendor/aos/aos.css" rel="stylesheet">
    <link href="/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
    <link href="/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
    <link href="/vendor/glightbox/css/glightbox.min.css" rel="stylesheet">
    <link href="/vendor/swiper/swiper-bundle.min.css" rel="stylesheet">

    <link rel="stylesheet" href="/css/highlight.css">
    <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/10.7.1/highlight.min.js"></script>
    <script>hljs.initHighlightingOnLoad();</script>

    <!-- Template Main CSS File -->
    <link href="/css/pxl.css" rel="stylesheet">


    <!-- =======================================================
    * Template Name: iPortfolio - v3.0.1
    * Template URL: https://bootstrapmade.com/iportfolio-bootstrap-portfolio-websites-template/
    * Author: BootstrapMade.com
    * License: https://bootstrapmade.com/license/
    ======================================================== -->
</head>

<body>

<!-- ======= Mobile nav toggle button ======= -->
<i class="bi bi-list mobile-nav-toggle d-xl-none"></i>

<!-- ======= Header ======= -->
<header id="header">
    <div class="d-flex flex-column">

        <div class="profile">
            <img src="/img/hacker.jpg" alt="" class="img-fluid rounded-circle">
            <h1 class="text-light"><a href="/">SecuritEY</a></h1>
            <div class="social-links mt-3 text-center">
                <a href="https://twitter.com/ey_belgium" class="twitter"><i class="bx bxl-twitter"></i></a>
                <a href="https://www.facebook.com/eybelgium" class="facebook"><i class="bx bxl-facebook"></i></a>
                <a href="https://www.instagram.com/ey_belgium" class="instagram"><i class="bx bxl-instagram"></i></a>
                <a href="https://www.linkedin.com/company/ernstandyoung" class="linkedin"><i class="bx bxl-linkedin"></i></a>
            </div>
        </div>

        <nav id="navbar" class="nav-menu navbar">
            <ul>
                <li><a href="#hero" class="nav-link scrollto active"><i class="bx bx-home"></i> <span>Home</span></a>
                </li>
                <li><a href="#about" class="nav-link scrollto"><i class="bx bx-code-block"></i> <span>About</span></a>
                </li>
                <li><a href="#facts" class="nav-link scrollto"><i class="bx bx-book-content"></i>
                        <span>Guidelines</span></a></li>
                <li><a href="#portfolio" class="nav-link scrollto"><i class="bx bx-network-chart"></i>
                        <span>Walkthrough</span></a></li>
                <li><a href="#services" class="nav-link scrollto"><i class="bx bx-bookmark-alt"></i>
                        <span>Keynotes</span></a>
                </li>
                <li><a href="home" class="nav-link scrollto"><i class="bx bx-caret-left-square"></i>
                        <span>Back</span></a>
                </li>
            </ul>
        </nav><!-- .nav-menu -->
    </div>
</header><!-- End Header -->

<!-- ======= Hero Section ======= -->
<section id="hero" class="d-flex flex-column justify-content-center align-items-center">
    <div class="hero-container" data-aos="fade-in">
        <h1>Microsoft's ProxyLogon</h1>
        <p>Exchange Server <span class="typed" data-typed-items="2013, 2016, 2019"></span></p>
    </div>
</section><!-- End Hero -->

<main id="main">

    <!-- ======= About Section ======= -->
    <section id="about" class="about">
        <div class="container">
            <div class="callout callout-warning">
                <h4>&#x26a0;&#xfe0f; Warning: Time consuming</h4>
                This lab takes some time to build. After pressing the start button, wait until the OWA website loads to
                start hacking. <br>This can take up to 1,5 hour.
            </div>

            <div class="section-title">
                <h2>About</h2>
                <p>On March 2, 2021 Microsoft detected multiple zero-day exploits being used to attack on-premises
                    versions of Microsoft Exchange Server.
                    <br>
                    Over the next few days, over 30,000 organizations in the US were attacked as hackers used several
                    Exchange vulnerabilities to gain access to email accounts and install web shell malware, giving the
                    cybercriminals ongoing administrative access to the victims' servers.
                    <br><br>
                    On the same day, Microsoft announced they suspected the attacks were carried out by a previously
                    unidentified Chinese hacking group they dubbed Hafnium. According to the Microsoft Threat
                    Intelligence Center (MSTIC), Hafnium is suspected to be state-sponsored and operating out of China,
                    primarily targeting organizations in the United States across multiple industry segments and
                    operating primarily via leased virtual private servers (VPSs) in the U.S.
                </p>
                <p class="pt-3">Official website: <a href="https://proxylogon.com/" style="font-weight: bold">proxylogon.com</a>
                </p>
            </div>

            <div class="row">
                <div class="col-lg-4">
                    <img
                        src="https://images.unsplash.com/photo-1536148935331-408321065b18?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=933&q=80"
                        class="img-fluid" alt="">
                </div>
                <div class="col-lg-8 pt-4 pt-lg-0 content" {{-- data-aos="fade-left"--}}>
                    <h3>How does it work?</h3>
                    <p class="">
                        ProxyLogon is the formally generic name for CVE-2021-26855, a vulnerability on Microsoft
                        Exchange
                        Server that allows an attacker bypassing the authentication and impersonating as the admin. They
                        have
                        also chained this bug with another post-auth arbitrary-file-write vulnerability, CVE-2021-27065,
                        to
                        get code execution. All affected components are vulnerable by default!
                    </p>
                    <ul>
                        <li class="mb-0" style="font-weight: bold">Vulnerable versions:</li>
                        <li class="mb-0">Exchange Server 2019 < 15.02.0792.010</li>
                        <li class="mb-0">Exchange Server 2019 < 15.02.0721.013</li>
                        <li class="mb-0">Exchange Server 2016 < 15.01.2106.013</li>
                        <li class="mb-0">Exchange Server 2013 < 15.00.1497.012</li>
                    </ul>
                    <div>
                        <div class="CustomButton mr-4">
                            <a href="/pxl/start" class="btn-get-started mr-5">Start</a>
                        </div>
                        <div class="CustomButton pl-3">
                            <a href="/pxl/stop" class="btn-get-stopped">Stop</a>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </section><!-- End About Section -->

    <!-- ======= Facts Section ======= -->
    <section id="facts" class="facts section-bg">
        <div class="container">
            <div class="section-title">
                <h2>Guidelines</h2>
                <p>This module is all about being able to test out the proxylogon vulnerability. Since you don't need a
                    public IP for payloads or anything, you can just use your own VM or PC. In this scenario you found out the
                    exchange server of a company is located on <code><a style="color: red"
                                                                        href="https://pxl-exvm.westeurope.cloudapp.azure.com/owa">pxl-exvm.westeurope.cloudapp.azure.com</a></code>.
                    You have also did a scan on their employees and found the following email address: <code>mickey@securitey.local</code>.
                    Using this information you can attack their vulnerable Exchange server.
                </p>
            </div>
        </div>
    </section><!-- End Facts Section -->
    <img src="/img/pxl-topology.png" width="100%" alt="">

    <!-- ======= Portfolio Section ======= -->
    <section id="portfolio" class="portfolio">
        <div class="container">

            <div class="section-title">
                <h2>Walkthrough</h2>
                <h4>Pre-hack</h4>
                <p>Before you can begin the hack, there's some manual initialization that you'll have to do first. In a
                    real life environment this is already taken care of, but in a lab like this it is much more
                    difficult. <br><br>Go to the owa web page and login as <code>mickey</code> with password <code>3Y_1nt3rnsh1p!
                    </code>. Then set the language on English and the time zone on your time zone. These settings don't really have any effect, but are necessary to initialize the mailbox.
                    <br><br></p>
                <h4>Hack</h4>
                <p>Since there are so many POCs about proxylogon, this is a really simple hack. All we need to do is to
                    download a POC from GitHub like
                    <a style="color: red" href="https://github.com/hausec/ProxyLogon">this one</a> and then execute it
                    using the information we have:</p>
            </div>
            <pre><code class="language-bash">
 python proxylogon.py pxl-exvm.westeurope.cloudapp.azure.com mickey@securitey.local
          </code></pre>
            <p>That's literally it. We can now execute all PowerShell commands as <code>NT AUTHORITY\SYSTEM</code>.</p>
            <p>Mess around with the server and try out some commands, use <code>dir</code> to list files and folders,
                <code>pwd</code> to see in which folder you are currently or use <code>Get-MPPreference</code> to take a
                look at some security settings.</p>
        </div>
    </section><!-- End Portfolio Section -->

    <!-- ======= Services Section ======= -->
    <section id="services" class="services section-bg">
        <div class="container">

            <div class="section-title">
                <h2>Keynotes</h2>
                <p>Even though ProxyLogon is a very complicated vulnerability and the researchers that found this had to
                    have very high level technical skills, it takes almost <code>0</code> skill to use the attack. When
                    this
                    vulnerability became public, there were loads of servers vulnerable and unpatched. Don't be
                    wrongfully mistaken that only very high skilled hackers could make use of an attack like this,
                    because even scriptkiddies with some time on their hands could target you and hack you if they
                    wanted to. </p>
            </div>

        </div>
    </section><!-- End Services Section -->
    <div class="col-7 mt-6">
        <div class="pt-5 pb-5 rounded">
            <div class="row no-gutters justify-content-center text-center text-sm-left">
                <div class="col-6 col-sm-4 col-md-3 col-lg-4 col-xl-3 align-self-center pr-sm-3 pb-3 pb-sm-0"><img
                        class="rounded-circle img-fluid" src="/img/mecrop.jpg" alt=""></div>
                <div class="col-sm ">
                    <h5>Mickey De Baets</h5>
                    <p class="text-sans-serif">I'm a student Cloud & Cyber Security @ Thomas More Geel with a passion
                        for security and Red Teaming. I've always been focussed on helping other people develop new
                        skills. </p><a class="text-sans-serif fs--1 font-weight-black text-black" target="_blank"
                                       href="https://mickeydebaets.be">mickeydebaets.be</a>
                </div>
            </div>
        </div>
    </div>
</main><!-- End #main -->

<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
        class="bi bi-arrow-up-short"></i></a>

<!-- Vendor JS Files -->
<script src="/vendor/aos/aos.js"></script>
<script src="/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="/vendor/glightbox/js/glightbox.min.js"></script>
<script src="/vendor/isotope-layout/isotope.pkgd.min.js"></script>
<script src="/vendor/php-email-form/validate.js"></script>
<script src="/vendor/purecounter/purecounter.js"></script>
<script src="/vendor/swiper/swiper-bundle.min.js"></script>
<script src="/vendor/typed.js/typed.min.js"></script>
<script src="/vendor/waypoints/noframework.waypoints.js"></script>

<!-- Template Main JS File -->
<script src="/js/main2.js"></script>

</body>

</html>
