variable "var_prefix" {
    type = string
    default = "PXL"
    description = "Resource names prefix"
}

variable "var_location" {
    type = string
    default = "westeurope"
    description = "Resource location"
}

variable "var_subnets" {
    type = list(
        object({
            id = number
            name = string
            ip_range = string
        })
    )

    default = [
        {
            id = 0
            name = "unnamed"
            ip_range = "10.0.0.1/24"
        }
    ]
}

variable "var_vms" {
    type = list(
        object({
            name = string
            publisher = string
            offer = string
            sku = string
            version = string
            ip = string
            subnet = number
            size = string
            tags = map(string)
        })
    )

    default = [
        {
            name = "kali"
            publisher = "kali-linux"
            offer = "kali-linux"
            sku = "kali"
            version = "2019.2.0"
            subnet = 0
            ip = "10.0.0.0"
            size = "Standard_D1_v2"
            tags = {
                Category = "Internship"
            }
        }
    ]
}